Package de.willuhn.jameica.hbci.passports.ddv.server

# Class RDHReader

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.server.PCSCReader
de.willuhn.jameica.hbci.passports.ddv.server.RDHReader

All Implemented Interfaces:
  `Reader`

public class RDHReader extends PCSCReader
Implementierung des Kartenleser-Supports RDH-Karten via javax.smartcardio.

## Nested Class Summary

## Nested classes/interfaces inherited from interface de.willuhn.jameica.hbci.passports.ddv.rmi.Reader

`Reader.Type`

## Constructor Summary

Constructors
Constructor
Description
`RDHReader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultHBCIVersion()`
Liefert die Default-HBCI-Version, die verwendet werden soll, wenn keine bekannt ist.
`String`
`getName()`
Liefert den Namen des Chipkartenlesers.
`Reader.Type`
`getType()`
Liefert die Art des Kartenlesers.

### Methods inherited from class de.willuhn.jameica.hbci.passports.ddv.server.PCSCReader

`equals, getCTAPIDriver, getCTNumber, getPort, isSupported, toString, useSoftPin`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RDHReader

public RDHReader()

## Method Details

### getName

public String getName()
Description copied from interface: `Reader`
Liefert den Namen des Chipkartenlesers.

Specified by:
  `getName` in interface `Reader`
Overrides:
  `getName` in class `PCSCReader`
Returns:
  Name des Lesers.
See Also:
  - `Reader.getName()`

### getType

public Reader.Type getType()
Description copied from interface: `Reader`
Liefert die Art des Kartenlesers.

Specified by:
  `getType` in interface `Reader`
Overrides:
  `getType` in class `PCSCReader`
Returns:
  die Art des Kartenlesers.
See Also:
  - `Reader.getType()`

### getDefaultHBCIVersion

public String getDefaultHBCIVersion()
Description copied from interface: `Reader`
Liefert die Default-HBCI-Version, die verwendet werden soll, wenn keine bekannt ist. Wird zum Beispiel bei der Suche nach Kartenlesern verwendet.

Specified by:
  `getDefaultHBCIVersion` in interface `Reader`
Overrides:
  `getDefaultHBCIVersion` in class `PCSCReader`
Returns:
  die Default-HBCI-Version.
See Also:
  - `Reader.getDefaultHBCIVersion()`